package ecoparasite.input;

import org.junit.jupiter.api.Test;

import java.io.IOException;

import static org.junit.jupiter.api.Assertions.*;

class InputFactoryTest {

    // TODO : Test a être effectué par Sébastien.
    @Test
    void readFile() throws InputFileException, RawDataOverflow {
        RawData r = InputFactory.readData( InputFactory.DATA_MACKEREL );
        System.out.println( r );
        System.out.println( r.getColumnsNames() );
        System.out.println( r.getDataFromColumn( "Sample_codE" ) );
        System.out.println( r.getEntry( 2 ) );
    }

}